API reference
CampaignSignals
List a campaign's hashtag, mention and keyword signals that file captured posts into it. Read access, campaigns toolset, MCP tool get_campaign_signals.
Access: Read
Variables
| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
campaignId | UUID! | yes | Checks for equality with the object’s campaignId field. |
Call it
bash
curl https://api.missin.co.uk/graphql/v1 \
-H "Authorization: Bearer $MISSIN_API_KEY" \
-H "Content-Type: application/json" \
-d '{"operationName":"CampaignSignals","variables":{"campaignId":"00000000-0000-0000-0000-000000000000"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"7f2a84a7d19899de94e2ce4cf41089c4bbe8e61ca3ea3695353ac63ed368e20d"}}}'Document
graphql
query CampaignSignals($campaignId: UUID!) { __typename allCampaignSignals(condition: {campaignId: $campaignId}) { __typename nodes { __typename fetchEnabled id kind platformViews platformViewsAt rowId socialNetworkId value } } }